import { http, getAction, postAction } from '@/common/service/service.js' 

const getStationList = params => getAction('/station/powerStationInfo/list', params)
const getBigScreenPowerInverterInfo = params => getAction('/station/inverterInfo/matrixViewFocus', params)
const getBigScreenPowerInverterInfo2 = params => getAction('/sys/xinFeiA7MatrixView', params)
const getBigScreenPowerInverterInfoMatrixView = params => getAction('/station/inverterInfo/matrixView', params)
const getBigScreenPowerPinLianSubarrayView= params => getAction('/sys/pinLianSubarrayView', params)
const getBigScreenPowerInverterAGC= params => postAction('/station/inverterInfo/inverterAGC', params)
const getBigScreenPowerInverterMqttBySn= params => getAction('/station/inverterMqtt/queryBySn', params)
export {
	getStationList,
	getBigScreenPowerInverterInfo,
	getBigScreenPowerInverterInfo2,
	getBigScreenPowerInverterInfoMatrixView,
	getBigScreenPowerPinLianSubarrayView,
	getBigScreenPowerInverterAGC,
	getBigScreenPowerInverterMqttBySn
}
export default {
	getStationList,
	getBigScreenPowerInverterInfo,
	getBigScreenPowerInverterInfo2,
	getBigScreenPowerInverterInfoMatrixView,
	getBigScreenPowerPinLianSubarrayView,
	getBigScreenPowerInverterAGC,
	getBigScreenPowerInverterMqttBySn

}